# UDOP: Document Question Answering

## Try it in the Widget Center

Click this [url](https://app.myshell.ai/robot-workshop/widget/1781988928627507200) to try this widget and copy the Pro Config template.

## Usage

\<TODO: enter description here, and remove useless inputs>

**Input Parameters**

<table><thead><tr><th>Name</th><th>Type</th><th>Description</th><th>Default</th><th data-type="checkbox">Required</th></tr></thead><tbody><tr><td>image</td><td><code>string</code></td><td>image url for udop to understand.</td><td><a href="https://replicate.delivery/pbxt/KZczgVh1gAp7xfPP79GdZoGdKEoekcLPiqSqE6bEgM5pThGD/example_1.jpg">default_url</a></td><td>true</td></tr><tr><td>prompt</td><td><code>string</code></td><td>The text prompt in natural language. You can use `Question answering. xxxxxx` to ask question about the input image</td><td>Question answering. In which date is the report made?</td><td>true</td></tr></tbody></table>

**Output Parameters**

| Name     | Type     | Description                                         | File Type |
| -------- | -------- | --------------------------------------------------- | --------- |
| response | `string` | The answer given. According to the image and prompt |           |

**Output Example**

{% tabs %}
{% tab title="success" %}
{% code fullWidth="false" %}

```json
{
   "response": "9/3/92"  // example input image=https://replicate.delivery/pbxt/KZczgVh1gAp7xfPP79GdZoGdKEoekcLPiqSqE6bEgM5pThGD/example_1.jpg  prompt=Question answering. In which date is the report made?
}
```

{% endcode %}
{% endtab %}

{% tab title="fail" %}
{% code fullWidth="false" %}

```json
{
   "results": "<the example results of this widget>"
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

## Detailed Guidelines


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.myshell.ai/create/pro-config-mode/api-reference/widgets/3-udop-document-question-answering.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
